public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: enable the test for running on RHEL-7
@ 2026-09-11 13:18 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:18 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : c60f6894a1f804969b3cb3357b3cd128889046af
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2020-09-08T13:43:29+00:00
            Stats  : +7/-3 in 2 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/c60f6894a1f804969b3cb3357b3cd128889046af?branch=pr775-checkpolicy-revdeps

            Log:
            enable the test for running on RHEL-7

The systemd-bootchart service is available on RHEL-7 and it belongs
to the systemd package. The same service is also available in various
Fedoras, but it belongs to the systemd-bootchart package.
The systemd-bootchart service is not available on RHEL-8 at all.
Now, the automated TC should not end prematurely on relevant operating
systems.

---
diff --git a/selinux-policy/systemd-bootchart-and-similar/Makefile b/selinux-policy/systemd-bootchart-and-similar/Makefile
index b8f1c87..eb31bd6 100644
--- a/selinux-policy/systemd-bootchart-and-similar/Makefile
+++ b/selinux-policy/systemd-bootchart-and-similar/Makefile
@@ -55,7 +55,7 @@ $(METADATA): Makefile
 	@echo "TestTime:        10m" >> $(METADATA)
 	@echo "RunFor:          selinux-policy" >> $(METADATA)
 	@echo "RunFor:          systemd" >> $(METADATA)
-	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console systemd-bootchart" >> $(METADATA)
+	@echo "Requires:        audit initscripts libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console systemd-bootchart" >> $(METADATA)
 	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
 	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
 	@echo "Priority:        Normal" >> $(METADATA)

diff --git a/selinux-policy/systemd-bootchart-and-similar/runtest.sh b/selinux-policy/systemd-bootchart-and-similar/runtest.sh
index 83e7dda..8577ea3 100755
--- a/selinux-policy/systemd-bootchart-and-similar/runtest.sh
+++ b/selinux-policy/systemd-bootchart-and-similar/runtest.sh
@@ -34,13 +34,17 @@ PACKAGE="selinux-policy"
 ROOT_PASSWORD="redhat"
 FILE_PATH="/usr/lib/systemd/systemd-bootchart"
 FILE_CONTEXT="systemd_bootchart_exec_t"
-SERVICE_PACKAGE="systemd-bootchart"
+if rlIsRHEL 7 ; then
+    SERVICE_PACKAGE="systemd"
+else
+    SERVICE_PACKAGE="systemd-bootchart"
+fi
 SERVICE_NAME="systemd-bootchart"
 PROCESS_NAME="systemd-bootchart"
 PROCESS_CONTEXT="systemd_bootchart_t"
 
 rlJournalStart
-    if ! rlIsFedora && ! rlIsRHEL ">8.3"; then
+    if ! rlIsFedora && ! rlIsRHEL 7 ; then
         rlLog "Not applicable to this OS version."
         rlJournalEnd
         exit 0

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: enable the test for running on RHEL-7 Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox